#tell R where your data is 
setwd("~/Dropbox/Consulting/R - Training/Session 1 - Introduction/Inspiration/Bulk Import")

#create a list of the files in the working directory 
files <- list.files("specdata",pattern="*.csv",full.names=TRUE) 

spec_data<- NULL #Creates empty data frame (note it is before the loop begins to ensure it is not overwritten during loop )
#stack individual pollution datasets together
for (i in 1:332) {
  spec_data <- rbind(spec_data, read.csv(files[i], header=TRUE, sep=','))
}
#load tidyverse 
library(tidyverse)
#create an object with average suflates by the 'ID' of the local area
average_sulfates<-spec_data %>% 
  group_by(ID) %>% 
  summarise(average_sulfates = mean(sulfate,na.rm=TRUE))
#save the average_suflates table as a 'comma seperated' text file (csv)  
write_csv(average_sulfates,"average_sulfates.csv")
  